Bug 11093 - add IDE drive to SCSI only system, rerun of lilo won't boot
add IDE drive to SCSI only system, rerun of lilo won't boot
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: lilo (Show other bugs)
6.2
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-04-28 09:42 EDT by Brock Organ
Modified: 2008-05-01 11:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-08 20:52:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brock Organ 2000-04-28 09:42:32 EDT
This is taken from comments made by jeff@math.tntech.edu for bug 10645 and
reproduced in the test lab:

"Lilo is unfortunately still not very good at dealing with combined
scsi/ide setups.

It just blithely assumes the ide disk will be first.  If you just add an
ide disk to a previously scsi-only system (and your bios is smart enough to
still boot from the scsi disk), you are in for trouble.  The next time you
type 'lilo', it prints the innocent sounding "Warning: /dev/sda is not on
the first disk", and then proceeds to totally f-up sda's boot sector (it be
set to load linux from the location on hda where the boot file on sda is
actually located).
 It will be a while before you successfully re-boot your system after you
do this."
Comment 1 Brock Organ 2000-04-28 09:44:59 EDT
Here is the output from running LILO as described above:

% lilo -v
Warning: /dev/sda is not on the first disk
LILO version 21, Copyright 1992-1998 Werner Almesberger

Reading boot sector from /dev/sda
Merging with /boot/boot.b
Boot image: /boot/vmlinuz-2.2.14-5.0
Mapping RAM disk /boot/initrd-2.2.14-5.0.img
Added linux *
/boot/boot.0800 exists - no backup copy made.
Writing boot sector.
%

Upon reboot, only LI of the LILO boot prompt is displayed...
Comment 2 Need Real Name 2001-05-08 20:52:38 EDT
I had this problem, when adding an LS120 (IDE Floppy drive) to my system. The
only way out for me was to use the rescue disk, re-write the boot sector with
lilo and then remove the IDE support (unfortunately) from the kernel.
Comment 3 Jeremy Katz 2002-06-04 01:10:04 EDT
Unfortunately, there's not much you can do on x86 systems as there isn't a
reliable way to get this information

Note You need to log in before you can comment on or make changes to this bug.